<?php 
/* (c) 2007, Andreas Forstinger, www.mobilemoodle.org */
global $CFG, $USER;
require_once ($CFG->dirroot . '/message/lib.php'); // messaging support

// which message to display
$msg = optional_param('msg',null,PARAM_INTEGER);
$read = optional_param('read',null,PARAM_RAW);


// depending on read flag message is taken from db
if(empty($read)){
    $table = 'message';
}
else{
    $table = 'message_read';
}

// back url depends on "read" flag
$back = (empty($read)) ? 'msg/message_inbox.php|m' : 'msg/message_archive.php|m';


if(!$message = get_record($table,'id',$msg)){
    momo_print_error('error_parameter');
}

// get user object of sender
if(!$sender = get_record('user', 'id', $message->useridfrom)){
    momo_print_error('error_parameter');
}

// finally mark the message as read (i.e. move to other table)
$message->timeread = time();
$message->message = addslashes($message->message);
$messageid = $message->id;
unset($message->id);
if (insert_record('message_read', $message)) {
    delete_records('message', 'id', $messageid);
}

?>
<pagesuite titel="<?php momo_print_string('lbl_message') ?>" storeable="false" bookmarkable="false" back="<?php echo($back); ?>">
<page>
<?php momo_print_header(momo_get_string('lbl_message'), 'msg_read') ?>
<font class="h3"/><?php momo_print_string('lbl_msg_date') ?>:<font class="std"/><br/>
<?php $date = usergetdate($message->timecreated);
   echo($date['mday'].'.'.$date['mon'].'.'.$date['year'].','.$date['hours'].':'.$date['minutes'].'<br/>');
?>
<font class="h3"/><?php momo_print_string('lbl_msg_sender') ?>:<font class="std"/><br/>
<?php echo($sender->firstname . ' ' . $sender->lastname)?><br/>

<font class="h3"/><?php momo_print_string('lbl_message') ?>:<font class="std"/><br/>
<?php
    // convert line breaks
   echo(momo_print_converted_text($message->message));
?>
<br align="center"/><hr/>
<menu type="<?php echo($CFG->momo_mle_server_link) ?>" url="msg/message_new.php&amp;rcpt=<?php echo($sender->id)?>" dt="l" di="<?php momo_print_icon_path('msg_new') ?>" word="<?php momo_print_string('nav_reply') ?>" full="false" />
<br/>

</pagesuite>