<?php /* block_momo_download.php (c)2008, Andreas Forstinger, www.mobilemoodle.org */

/**
 * this block provides the user with the possibility to easily download the momo client for the current
 * moodle instance preconfigured with the correct server data and optionally also her user data
 */
class block_momo_download extends block_base {

    function init() {
        $this->title = get_string('title', 'block_momo_download');
        $this->version = 2008050400;
    }

	function has_config() {return false;}

	function get_content() {
	    if ($this->content !== NULL) {
	        return $this->content;
	    }
	    global $CFG, $USER;
	    $this->content = new stdClass;
	    $this->content->text  = '<form class="momodownloadform" method="post" action="'.$CFG->wwwroot.'/momo/download.php" target="_blank">';
		$this->content->text .= '<div align="center"><div><input type="submit" value="'.get_string('button','block_momo_download').'" /></div>';
		if(!empty($USER->username)){
	    	$this->content->text .= '<div><input id="momo_preconfigure" type="checkbox" name="fill_userdata" value="fill_userdata"> ' . get_string('preconfigure_user', 'block_momo_download') . '</div>';
			$this->content->text .= '<div><label for="momo_password" >'. get_string('password', 'block_momo_download') . '</label>: <input id="momo_password" type="password" name="password" value=""></div></div>';
		}
		$this->content->text .= '</form>';
	   	$this->content->footer = '';

	    return $this->content;
	}

	function preferred_width() {
		return 180;
	}

	function html_attributes() {
	    return array('class' => 'sideblock block_'. $this->name());
	}

}
?>