<?php

// configuration strings
$string['config_title'] 					= 'MOMO';
$string['config_help'] 						= 'Mobilen Zugriff konfigurieren';
$string['config_enabled'] 					= 'MOMO aktiv';
$string['config_enabled_help'] 				= 'Benutzern erlauben diese Moodle Installation über den MOMO Client auch mobil zu nutzen.';
$string['config_debug'] 					= 'Debug Modus aktiv';
$string['config_debug_help'] 				= 'Im Debug Modus werden zusätzliche Meldungen ins Moodle Log geschrieben. Dies ist vorallem sehr hilfreich bei der Fehlersuche.';
$string['config_community_enabled'] 		= 'Mobile Community aktiv';
$string['config_community_enabled_help'] 	= 'Wenn Sie die Funktion "Mobile Community" aktivieren, können Sie einen Kurs dieser Moodle Installation als gemeinschaftlich genutzten Kurs für alle mobilen Benutzer definieren. ';
$string['config_community_course'] 			= 'Mobile Community Kurs';
$string['config_community_course_help'] 	= 'Legen Sie fest welcher Kurs dieser Moodle Installation als Community für alle mobilen Benutzer verwendet werden soll.';
$string['config_public_gw_enabled']			= 'Öffentlicher Gateway Server';
$string['config_public_gw_enabled_help']	= 'Aktivieren Sie diese Einstellung wenn Sie keinen eigenen Gateway Server betreiben und stattdessen den öffentlichen Server verwenden wollen.';
$string['config_public_msg_enabled']		= 'Öffentlicher Messaging Server';
$string['config_public_msg_enabled_help']	= 'Aktivieren Sie diese Einstellung wenn Sie keinen eigenen Messaging Server betreiben und stattdessen den öffentlichen Server verwenden wollen.';
$string['config_msg_host']					= 'IP/Host des Messaging Servers';
$string['config_msg_host_help']				= 'Definieren Sie die IP Adresse bzw. den Hostnamen des Messaging Servers.';
$string['config_gw_host']					= 'IP/Host des Gateway Servers';
$string['config_gw_host_help']				= 'Definieren Sie die IP Adresse bzw. den Hostnamen des Gateway Servers.';
$string['config_msg_port']					= 'Port des Messaging Servers';
$string['config_msg_port_help']				= 'Definieren Sie den TCP Port des Messaging Servers.';
$string['config_gw_port']					= 'Port des Gateway Servers';
$string['config_gw_port_help']				= 'Definieren Sie den TCP Port des Gateway Servers.';
$string['config_msg_remote_port']			= 'Messaging Remote Interface Port';
$string['config_msg_remote_port_help']		= 'Definieren Sie den TCP Port des Remote Interface des Messaging Servers.';


////////////////

//navigation - common navigation items used for links and buttons
$string['nav_home'] 						= 'Startseite';
$string['nav_back'] 						= 'Zurück';
$string['nav_ok'] 							= 'OK';
$string['nav_cancel'] 						= 'Abbrechen';
$string['nav_send'] 						= 'Senden';
$string['nav_search']						= 'Suchen';
$string['nav_submit'] 						= 'Absenden';
$string['nav_reply'] 						= 'Antworten';
$string['nav_paging'] 						= '...mehr...';
$string['nav_paging_continued'] 			= '...fortgesetzt...';


// headers (i.e. page headers, titles) should be rather short
$string['hd_blocklist']						= 'Blockliste';
$string['hd_blog'] 							= 'Blog';
$string['hd_blog_entry'] 					= 'Eintrag';
$string['hd_community'] 					= 'Community';
$string['hd_contact'] 						= 'Profil $a->username';
$string['hd_contactlist'] 					= 'Kontaktliste';
$string['hd_contacts'] 						= 'Kontakte';
$string['hd_course'] 						= 'Kurs';
$string['hd_course_activities']				= 'Aktivitäten';
$string['hd_course_details'] 				= 'Details';
$string['hd_error'] 						= 'Fehler';
$string['hd_success'] 						= 'Erfolg';
$string['hd_forum'] 						= 'Forum';
$string['hd_forum_discussion']				= 'Diskussion';
$string['hd_forum_post'] 					= 'Beitrag';
$string['hd_home'] 							= 'Startseite';
$string['hd_inbox'] 						= 'Posteingang';
$string['hd_messaging'] 					= 'Nachrichten';
$string['hd_mlo'] 							= 'MLO';
$string['hd_mobile_community']				= 'Mobile Community';
$string['hd_msg_archive'] 					= 'Archiv';
$string['hd_msg_choose_recipient'] 			= 'Empfänger wählen';
$string['hd_msg_error'] 					= 'Versand gescheitert';
$string['hd_msg_from']						= 'Nachricht von';
$string['hd_msg_new']						= 'Neue Nachricht';
$string['hd_msg_history']					= 'History';
$string['hd_msg_sent']						= 'Nachricht gesendet';
$string['hd_msg_to'] 						= 'Nachricht an';
$string['hd_my_courses']					= 'Meine Kurse';
$string['hd_course_overview']				= 'Kursübersicht';
$string['hd_profile'] 						= 'Mein Profil';
$string['hd_search_user'] 				    = 'Benutzer suchen';
$string['hd_resource']						= 'Arbeitsmaterial';
$string['hd_live'] 							= 'Live! Session';


// labels (i.e. inline text, might also be abbreviated)
$string['lbl_resource_name'] 				 = 'Name';
$string['lbl_resource_summary']			     = 'Beschreibung';
$string['lbl_resource_open'] 				 = 'Öffnen';
$string['lbl_resource_store'] 				 = 'Speichern';
$string['lbl_resource_content'] 			 = 'Inhalt';


$string['lbl_blog_add'] 					 = 'Neuer Beitrag';
$string['lbl_blog_addtag'] 					 = 'Tag(s) hinzufügen';
$string['lbl_blog_all'] 					 = 'Alle Einträge';
$string['lbl_blog_delete']					 = 'Beitrag löschen';
$string['lbl_blog_edit']					 = 'Beitrag bearbeiten';
$string['lbl_blog_latest'] 					 = 'Neueste Einträge';
$string['lbl_blog_message'] 			     = 'Eintrag';
$string['lbl_blog_no_tags']					 = 'Keine Tags.';
$string['lbl_blog_publishstate']			 = 'Veröffentlichen für';
$string['lbl_blog_state_draft'] 			 = 'Entwurf (nur Sie selbst)';
$string['lbl_blog_state_public'] 			 = 'Publik (jeder)';
$string['lbl_blog_state_site'] 				 = 'Site';
$string['lbl_blog_subject']					 = 'Titel';
$string['lbl_blog_tags'] 					 = 'Tag(s)';
$string['lbl_choice_choose']				 = 'Wählen Sie eine der folgenden Optionen.';
$string['lbl_choice_result']				 = 'Ergebnis';
$string['lbl_contact_add'] 					 = 'Kontakt hinzufügen';
$string['lbl_contact_block'] 				 = 'Benutzer blocken';
$string['lbl_contact_call_primary'] 		 = 'Anrufen';
$string['lbl_contact_call_secondary'] 		 = 'Anrufen (Sekundäre Nummer)';
$string['lbl_contact_mail'] 				 = 'Mail senden';
$string['lbl_contact_url'] 					 = 'Website besuchen';
$string['lbl_contact_contact'] 				 = 'Kontakt aufnehmen';
$string['lbl_contact_details'] 				 = 'Details';
$string['lbl_contact_message'] 				 = 'Nachricht senden';
$string['lbl_contact_no_picture'] 			 = 'Kein Foto.';
$string['lbl_contact_remove'] 				 = 'Kontakt entfernen';
$string['lbl_contact_unblock'] 				 = 'Benutzer unblocken';
$string['lbl_contacts'] 					 = 'Kontakte';
$string['lbl_course_category']				 = 'Kategorie';
$string['lbl_course_fullname'] 				 = 'Bezeichnung';
$string['lbl_course_shortname'] 			 = 'Kürzel';
$string['lbl_course_summary'] 				 = 'Beschreibung';

$string['lbl_course_topic'] 				 = 'Thema';
$string['lbl_course_topics'] 				 = 'Themen';
$string['lbl_course_week']					 = 'Woche';
$string['lbl_course_weeks']					 = 'Wochen';
$string['hd_course_sections'] 				 = 'Sektionen';
$string['lbl_course_current_week'] 			 = 'Aktuelle Woche';
$string['lbl_course_current_topic'] 		 = 'Aktuelles Thema';
$string['lbl_course_format'] 				 = 'Kursformat';


$string['lbl_forum_attachement'] 			 = 'Anhang';
$string['lbl_forum_attachement_add'] 		 = 'Anhang hinzufügen';
$string['lbl_forum_attachement_choose'] 	 = 'Datei auswählen';
$string['lbl_forum_attachment'] 			 = 'Anhang';
$string['lbl_forum_discussion_initial'] 	 = 'Erste Nachricht';
$string['lbl_forum_discussion_new'] 		 = 'Neue Diskussion';
$string['lbl_forum_discussions'] 			 = 'Diskussionen';
$string['lbl_forum_discussions_all'] 		 = 'Alle Diskussionen';
$string['lbl_forum_intro'] 				 	 = 'Einleitung';
$string['lbl_forum_message']				 = 'Beitrag';
$string['lbl_forum_name'] 					 = 'Name';
$string['lbl_forum_newest_discussions']		 = 'Neueste Diskussionen';
$string['lbl_forum_post_new']				 = 'Neue Antwort';
$string['lbl_forum_replies'] 				 = 'Antworten';
$string['lbl_forum_no_replies']				 = 'Noch keine Antworten';
$string['lbl_forum_replies_all'] 			 = 'Alle Antworten';
$string['lbl_forum_replies_latest'] 		 = 'Neueste Antworten';
$string['lbl_forum_sender']					 = 'Absender';
$string['lbl_forum_subject']				 = 'Betreff';
$string['lbl_forum_edit'] 					 = 'Bearbeiten';
$string['lbl_forum_delete'] 				 = 'Löschen';

$string['lbl_general_by']					 = 'Von';
$string['lbl_general_details']				 = 'Details';
$string['lbl_message'] 						 = 'Nachricht';
$string['lbl_messages'] 					 = 'Nachrichten';
$string['lbl_mlo_description'] 				 = 'Beschreibung';
$string['lbl_mlo_download']					 = 'Download';
$string['lbl_mlo_hint'] 					 = 'Sie können dieses Objekt durch Klicken auf den folgenden Button auf Ihr Mobiltelefon laden.';
$string['lbl_mlo_name'] 					 = 'Name';
$string['lbl_mm_snapshot']					 = 'Bild aufnehmen';
$string['lbl_mm_comment'] 					 = 'Kommentar aufnehmen';
$string['lbl_msg_archive'] 					 = 'Archiv';
$string['lbl_msg_archive_search'] 			 = 'Suche nach Wort';
$string['lbl_msg_archive_search_in'] 		 = 'Eingehende Nachrichten';
$string['lbl_msg_archive_search_out'] 		 = 'Ausgehende Nachrichten';
$string['lbl_msg_archive_search_scope'] 	 = 'Suchen in';
$string['lbl_msg_archive_sender']			 = 'Suchen nach Absender';
$string['lbl_msg_choose_contact']			 = 'von Kontaktliste wählen';
$string['lbl_msg_choose_recipient']			 = 'Empfänger wählen';
$string['lbl_msg_choose_search']			 = 'Empfänger suchen';
$string['lbl_msg_date'] 					 = 'Empfangen';
$string['lbl_msg_inbox'] 					 = 'Posteingang';
$string['lbl_msg_new'] 						 = 'Neue Nachricht';
$string['lbl_msg_recipient'] 				 = 'Empfänger';
$string['lbl_msg_reply']					 = 'Antworten';
$string['lbl_msg_sender'] 					 = 'Absender';
$string['lbl_profile_no_picture'] 			 = 'Kein Profilfoto.';
$string['lbl_profile_record_hint'] 			 = 'Über die obige Steuerung können Sie ein Foto für Ihre Profil aufnehmen.';
$string['lbl_profile_record_picture'] 		 = 'Bild aufnehmen';
$string['lbl_user'] 						 = 'Benutzer';
$string['lbl_user_city'] 					 = 'Stadt';
$string['lbl_user_country'] 				 = 'Land';
$string['lbl_user_department']				 = 'Abteilung';
$string['lbl_user_description'] 			 = 'Beschreibung';
$string['lbl_user_email'] 					 = 'eMail';
$string['lbl_user_firstname'] 				 = 'Vorname';
$string['lbl_user_institution']				 = 'Institution';
$string['lbl_user_lastname']				 = 'Nachname';
$string['lbl_user_username']				 = 'Benutzername';
$string['lbl_user_www'] 					 = 'Homepage';




//messages (i.e. usually full sentences or longer text)
$string['msg_blog_edit_notallowed'] 		 = 'Sie dürfen diesen Beitrag nicht bearbeiten.';
$string['msg_blog_entry_added'] 			 = 'Ihr Beitrag wurde gesichert.';
$string['msg_blog_entry_deleted']			 = 'Der Beitrag wurde gelöscht.';
$string['msg_blog_entry_failed']			 = 'Sichern fehlgeschlagen.';
$string['msg_blog_entry_updated']			 = 'Ihr Beitrag wurde aktualisiert.';
$string['msg_choice_error']				 	 = 'Ein Fehler ist aufgetreten. Bitte versuchen Sie es erneut.';
$string['msg_choice_last_answer'] 			 = 'Sie haben bereits abgestimmt. Die letzte Auswahl war \'$a\'.';
$string['msg_choice_limit_exceeded'] 		 = 'Das Limit für diese Antwortmöglichkeit wurde überschritten.<br/>Versuchen Sie es mit einer anderen Option.';
$string['msg_choice_no_answer']				 = 'Sie haben noch nicht abgestimmt.';
$string['msg_choice_no_selection'] 			 = 'Keine Auswahl. Bitte versuchen Sie es erneut.';
$string['msg_choice_results_not_public'] 	 = 'Die Ergebnisse der Umfrage sind nicht öffentlich.';
$string['msg_choice_saved'] 				 = 'Ihre Auswahl wurde gesichert.';
$string['msg_choice_update_allowed'] 		 = 'Sie können Ihre Auswahl aktualisieren.';
$string['msg_choice_updated'] 				 = 'Ihre Auswahl wurde aktualisiert.';
$string['msg_community_not_supported']		 = 'Diese Moodle Installation unterstützt im Moment keine Mobile Community.';
$string['msg_contact_added'] 				 = 'Benutzer zur Kontaktliste hinzugefügt.';
$string['msg_contact_blocked'] 				 = 'Benutzer blockiert. Sie werden keine Nachrichten von diesem Benutzer mehr empfangen.';
$string['msg_contact_removed'] 				 = 'Benutzer von Kontaktliste entfernt.';
$string['msg_contact_unblocked'] 			 = 'Blockierung aufgehoben. Der Benutzer kann Ihnen wieder Nachrichten senden.';
$string['msg_course_no_activities']			 = 'Im Moment keine mobilen Aktivitäten vorhanden.';
$string['msg_courses_hint'] 				 = 'Dies ist eine Liste der Kurse zu denen Sie eingetragen sind.';
$string['msg_forum_discussion_added'] 		 = 'Ihre Diskussion wurde erfolgreich hinzugefügt.';
$string['msg_forum_discussion_failed'] 		 = 'Hinzufügen der Diskussion fehlgeschlagen.';
$string['msg_forum_no_discussions'] 		 = 'Momentan keine Diskussionen.';
$string['msg_forum_no_posts'] 				 = 'Momentan keine Beiträge.';
$string['msg_forum_post_added'] 			 = 'Ihr Beitrag wurde erfolgreich hinzugefügt.';
$string['msg_forum_post_failed'] 			 = 'Hinzufügen des Beitrags fehlgeschlagen.';
$string['msg_forum_discussion_deleted'] 	 = 'Diskussion gelöscht.';
$string['msg_forum_post_deleted'] 			 = 'Post gelöscht.';
$string['msg_forum_delete_failed'] 			 = 'Löschen gescheitert.';

$string['msg_messaging_msg_blocked'] 		 = 'Versand gescheitert.<br/>Der Empfänger hat Ihre Nachricht blockiert.';
$string['msg_messaging_msg_blocked_non_contact'] = 'Versand gescheitert.<br/>Der Empfänger blockiert Nachrichten von Benutzern die sich nicht auf seiner Kontaktliste befinden.';
$string['msg_messaging_msg_failed'] 		 = 'Versand gescheitert.<br/>Versuchen Sie es erneut oder wenden Sie sich an Ihren Administrator sollte das Problem bestehen.';
$string['msg_messaging_msg_sent'] 			 = 'Nachricht erfolgreich gesendet.';
$string['msg_messaging_history_empty']		 = 'Keine Nachrichten.';
$string['msg_messaging_no_messages'] 		 = 'Keine neuen Nachrichten.';
$string['msg_messaging_not_supported'] 		 = 'Das Nachrichtensystem ist im Moment nicht aktiviert.';
$string['msg_no_blocked'] 					 = 'Keine geblockten Benutzer.';
$string['msg_no_contacts'] 					 = 'Keine Kontakte.';
$string['msg_no_courses'] 					 = 'Sie sind zu keinem Kurs eingetragen.';
$string['msg_profile_pic_updated'] 			 = 'Profilfoto aktualisiert.';
$string['msg_search_msg_hint'] 				 = 'Bitte geben Sie einen oder mehrere Suchbegriffe ein.';
$string['msg_search_no_results'] 			 = 'Keine Suchergebnisse.';
$string['msg_search_user_hint']				 = 'Sie können nach Vornamen, Nachnamen sowie Benutzernamen suchen.';
$string['msg_resource_type_unsupported'] 	 = 'Der vorliegende Typ von Arbeitsmaterial wird zur Zeit von MOMO nicht unterstützt.';



// semacode
$string['lbl_semacode_open'] 				= 'Öffnen';
$string['msg_semacode_url'] 				= 'Dieser Link öffnet die angegebene URL.';
$string['msg_semacode_course'] 				= 'Dieser Link öffnet den angegebenen Kurs.';
$string['msg_semacode_activity'] 			= 'Dieser Link öffnet die angegebene Aktivität.';
$string['msg_semacode_loc_activities'] 		= 'Ihre aktuelle Position wurde an den Server gesendet. Es gibt Aktivitäten für diesen Bereich.';
$string['msg_semacode_loc_noactivities'] 	= 'Ihre aktuelle Position wurde an den Server gesendet. Es gibt zur Zeit keine Aktivitäten für diesen Bereich.';
$string['msg_semacode_loc_not_supported'] 	= 'Verarbeitung von Standortinformationen wird zur Zeit nicht unterstützt.';
$string['msg_semacode_loc_not_loggedin'] 	= 'Nicht angemeldet.';
$string['msg_semacode_unknown'] 			= 'Fehler. Unbekannter Semacode Tag Typ gefunden.';
$string['error_semacode_not_supported']		= 'Semacode Unterstützung ist für diese Moodle Instanz zur Zeit nicht verfügbar.';
$string['error_semacode_outdated'] 			= 'Fehler. Die verspeicherten Informationen zu diesem Tag sind fehlerhaft oder nicht mehr aktuell.';

// error messages
$string['error_account'] 					 = 'Ihr Benutzerprofil ist nicht vollständig konfiguriert. Bitte besuchen Sie Ihr Moodle von einem PC aus und überprüfen Sie Ihre Zugangsdaten. Sollte das Problem weiterhin bestehen, wenden Sie sich bitte an Ihren Administrator.';
$string['error_file_not_found'] 			 = 'Die angeforderte Datei konnte nicht gefunden werden. Bitte versuchen Sie es erneut oder wenden Sie sich an Ihren Administrator sollte das Problem weiterhin bestehen.';
$string['error_login'] 						 = 'Ihr Anmeldeversuch ist fehlgeschlagen. Bitte überprüfen Sie Ihre Zugangsdaten und versuchen Sie es erneut. Sollte das Problem weiterhin bestehen, kontaktieren Sie bitte Ihren Administrator.';
$string['error_maintenance']				 = 'Ihr Moodle wird im Moment gewartet. Bitte versuchen Sie es später erneut.';
$string['error_parameter'] 					 = 'Ein Parameter konnte nicht gefunden werden. Bitte versuchen Sie es erneut oder wenden Sie sich an Ihren Administrator.';
$string['error_general']					 = 'Ein Fehler ist aufgetreten. Bitte versuchen Sie es erneut. Sollte das Problem weiterhin bestehen, wenden Sie sich bitte an einen Administrator.';
$string['error_momo_disabled'] 				 = 'Der mobile Zugriff auf diese Moodle Installation ist nicht erlaubt. Bitte versuchen Sie es zu einem späteren Zeitpunkt erneut.';
$string['error_security_problem'] 			 = 'Ein Berechtigungsfehler ist aufgetreten. Bitte vergewissern Sie sich, dass Sie über die notwendigen Rechte für die gewählte Aktion verfügen.';
$string['error_security_course_not_allowed'] = 'Sie verfügen nicht über die notwendige Berechtigung um auf diesen Kurs zuzugreifen.';
$string['error_nonmobile']					 = 'Die angeforderte Seite ist nur für den mobilen Zugriff via MOMO Client bestimmt. Sie werden nur zur Hauptseite weitergeleitet.';
$string['error_gps_not_supported']			 = 'GPS Unterstützung ist für diese Moodle Instanz zur Zeit nicht verfügbar.';


?>